---
- name: setup jenkins slaves
  hosts: simtester
  user: root
  tasks:
    - name: install common utilities
      apt:
        name:
          - ca-certificates
          - python3-minimal
          - python3-pip
          - python3-pyscard
          - python3-serial
          - python3-setuptools
          - sudo
          - tshark
          - vim
          - virtualenv
          - wget
        install_recommends: no
        cache_valid_time: 3600
        update_cache: yes

  roles:
    - name: osmocom-jenkins-slave
      generic_slave: false
      install_jenkins_utilities: false
      ttcn3_slave: false
      tags:
        - jenkins-slave
